Last Comment Bug 695912 - Add antialiasing to the downloadable blocklist
: Add antialiasing to the downloadable blocklist
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla10
Assigned To: Doug Sherk (:drs) (inactive)
:
: Milan Sreckovic [:milan]
Mentors:
Depends on: 615976 668004 718039
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-19 16:33 PDT by Doug Sherk (:drs) (inactive)
Modified: 2012-01-16 06:40 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1.0, blocklisting for MSAA. (5.89 KB, patch)
2011-10-19 18:07 PDT, Doug Sherk (:drs) (inactive)
no flags Details | Diff | Splinter Review
Patch v1.0, force MSAA. (2.03 KB, patch)
2011-10-19 18:08 PDT, Doug Sherk (:drs) (inactive)
jgilbert: review+
Details | Diff | Splinter Review
Patch v1.1, blocklisting for MSAA. (8.62 KB, patch)
2011-10-20 15:49 PDT, Doug Sherk (:drs) (inactive)
no flags Details | Diff | Splinter Review
Patch v1.1, blocklisting for MSAA. (7.62 KB, patch)
2011-10-20 16:14 PDT, Doug Sherk (:drs) (inactive)
jgilbert: review+
Details | Diff | Splinter Review
Patch v1.1, blocklisting for MSAA. (7.63 KB, patch)
2011-10-20 16:59 PDT, Doug Sherk (:drs) (inactive)
bugzilla: review+
Details | Diff | Splinter Review

Description Doug Sherk (:drs) (inactive) 2011-10-19 16:33:45 PDT
Support for blocking antialiasing if vendor/device/OS match a pre-determined bad setup must be added to the downloadable blocklist.
Comment 1 Doug Sherk (:drs) (inactive) 2011-10-19 18:07:02 PDT
Created attachment 568268 [details] [diff] [review]
Patch v1.0, blocklisting for MSAA.

Allows blocklisting of MSAA through downloaded blocklist or static code.
Comment 2 Doug Sherk (:drs) (inactive) 2011-10-19 18:08:23 PDT
Created attachment 568269 [details] [diff] [review]
Patch v1.0, force MSAA.

Allows users to force MSAA on by setting the webgl.msaa-force pref to true.
Comment 3 Jeff Gilbert [:jgilbert] 2011-10-20 14:11:51 PDT
Comment on attachment 568269 [details] [diff] [review]
Patch v1.0, force MSAA.

># HG changeset patch
># Parent 54159f8b6372997bc05b2bfae2de89fb02c6e1d9
># User Doug Sherk <dsherk@mozilla.com>
>Bug 695912: allow forcing MSAA on r=jgilbert
[...]
>+    bool forceMSAA =
>+        Preferences::GetBool("webgl.msaa-force", false);

Since this should never change, I'd rather we use 'const bool' here. R+ though.
Comment 4 Doug Sherk (:drs) (inactive) 2011-10-20 15:49:01 PDT
Created attachment 568548 [details] [diff] [review]
Patch v1.1, blocklisting for MSAA.

Updated to include ATI blocks.
Comment 5 Doug Sherk (:drs) (inactive) 2011-10-20 16:14:36 PDT
Created attachment 568552 [details] [diff] [review]
Patch v1.1, blocklisting for MSAA.

Removed accidentally added character in a comment.
Comment 6 Jeff Gilbert [:jgilbert] 2011-10-20 16:56:13 PDT
Comment on attachment 568552 [details] [diff] [review]
Patch v1.1, blocklisting for MSAA.

Good, R+ but:
>diff --git a/widget/src/xpwidgets/GfxInfoBase.cpp b/widget/src/xpwidgets/GfxInfoBase.cpp
>--- a/widget/src/xpwidgets/GfxInfoBase.cpp
>+++ b/widget/src/xpwidgets/GfxInfoBase.cpp
>@@ -152,16 +152,18 @@ GetPrefNameForFeature(PRInt32 aFeature)
>       name = BLACKLIST_PREF_BRANCH "layers.opengl";
>       break;
>     case nsIGfxInfo::FEATURE_WEBGL_OPENGL:
>       name = BLACKLIST_PREF_BRANCH "webgl.opengl";
>       break;
>     case nsIGfxInfo::FEATURE_WEBGL_ANGLE:
>       name = BLACKLIST_PREF_BRANCH "webgl.angle";
>       break;
>+    case nsIGfxInfo::FEATURE_WEBGL_MSAA:
>+      name = BLACKLIST_PREF_BRANCH "webgl.msaa";
>     default:
>       break;
>   };
> 
>   return name;
> }

Even though it falls through to 'default: break;', it should have its own 'break', for future-proofing.
Comment 7 Doug Sherk (:drs) (inactive) 2011-10-20 16:59:46 PDT
Created attachment 568562 [details] [diff] [review]
Patch v1.1, blocklisting for MSAA.

Previous comment fixed, +r carried.
Comment 8 Doug Sherk (:drs) (inactive) 2011-10-27 21:40:55 PDT
Running on Try: https://tbpl.mozilla.org/?tree=Try&rev=20a50709f71c
Comment 9 Benoit Jacob [:bjacob] (mostly away) 2011-11-03 07:57:52 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/b7a96e8bec7e
Comment 10 Benoit Jacob [:bjacob] (mostly away) 2011-11-03 07:58:07 PDT
and 2nd patch: https://hg.mozilla.org/integration/mozilla-inbound/rev/5119eb1f191b

Note You need to log in before you can comment on or make changes to this bug.